.design-switch-banner {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
    min-height: 79px;
    padding: 8px 56px;
    box-sizing: border-box;
    background-color: #35AEBC;
    display: none;
    z-index: 3;
    font-family: Tahoma, Arial, Helvetica, sans-serif;
}

.dsb-star {
    flex-shrink: 0;
    /* margin-right: 20px; */
}

.dsb-text {
    font-family: Tahoma;
    font-weight: 700;
    font-size: 20px;
    line-height: 100%;
    letter-spacing: 0%;
    flex: 1;
    max-width: fit-content;
    color: #fff;
    font-size: clamp(12px, 1.6cqw,20px);
}

.dsb-button {
    display: inline-flex;
    align-items: center;
    margin-left: 20px;
    padding: 10px 22px;
    border: 1px solid #E4A34B;
    background: linear-gradient(180deg, #FAD297 0%, #FAB964 100%);
    color: #2A2A2A;
    gap: 10px;
    border-radius: 2px;
    border-width: 1px;
    line-height: 1;
    text-decoration: none;
    white-space: nowrap;
    position: relative;
    font-family: Tahoma;
    font-weight: 700;
    font-size: 13px;
}

.dsb-button:hover {
    color: #2A2A2A;
    text-decoration: underline;
}

.dsb-close {
    position: absolute;
    right: 18px;
    top: 50%;
    transform: translateY(-50%);
    display: flex;
    align-items: center;
    justify-content: center;
    width: 28px;
    height: 28px;
    padding: 0;
    border: 0;
    background: none;
    cursor: pointer;
    display: none;
}

a.dsb-button.isLoading:after {
    left: calc(50% - 1rem);
    content: " ";
    display: block;
    width: 20px;
    height: 20px;
    margin: 8px;
    border-radius: 50%;
    border: 2px solid #fff;
    border-color: #fff transparent #fff transparent;
    animation: myisLoading 1s linear infinite;
    position: absolute;
    top: -2px;
}

a.dsb-button.isLoading {
    pointer-events: none;
    opacity: 1;
}



.bannerRightTop #topHeaderContent:has(.design-switch-banner[style*="flex"]) ~ #page #customSkyBannerNoLink,
.bannerRightTop #topHeaderContent:has(.design-switch-banner[style*="flex"]) ~ #page #customSkyBanner {
    margin-top: 90px;
}

.bannerRightTop .erx-top.topPage:not([style*="none"]) ~ #topHeaderContent:has(.design-switch-banner[style*="flex"]) ~ #page #customSkyBannerNoLink,
.bannerRightTop .erx-top.topPage:not([style*="none"]) ~ #topHeaderContent:has(.design-switch-banner[style*="flex"]) ~ #page #customSkyBanner {
    margin-top: 147px;
}


.new-theme-button {
    display: none !important;
}


@keyframes myisLoading {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

a.dsb-button.isLoading {
    color: transparent !important;
}

a.dsb-button.isLoading img {
    opacity: 0;
}


@media (max-width: 980px ) {
    #designSwitchBanner {
        margin-top: 3.6rem;
        padding: 10px 16px;
        padding-left: 10px;
        min-height: auto;
    }


    .dsb-text {
        text-shadow: 0px -1px   #00000030;
    }

    .dsb-button {
                margin-left: auto;
                font-size: 11px;
                padding: 9px 22px;
    }
}


@media (max-width: 480px) {
    .design-switch-banner {
        gap: 10px 12px;
        padding: 10px 48px;
    }

    .dsb-text {
        width: calc(100% - 3rem);
        flex: auto;
    }

    .dsb-button {
        margin-left: 0;
    }
}
